DCMTK - Feature #579

Avoid too many boolean parameters in convertCharacterSet() methods
2013-11-14 13:00 - J6rg Riesmeier

Status: Closed Start date: 2013-11-14
Priority: Normal Due date:

Assignee: Michael Onken % Done: 90%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmdata Compiler:

Operating System:

Description

With this commit (http://git.dcmtk.org/web?p=dcmtk.git;:a=commit;h=bfa3354b41f86111d7a9a383fae809bbf0754{17), a new boolean
parameter "discardlllegal” has been introduced to the various convertCharacterSet() methods. It would probably be better to combine
this "new" flag with the existing "transliterate" flag into a single integer parameter (of type "size_t"?). This makes sure that (in the
future) additional flags can be introduced without a need to change the signature of the APl method again. Also the order of
parameters is currently a little confusing (too many booleans -- in which order?).

Maybe, this commit (http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=9fd4776a56b2435c45f0929cdb11e8f78a20d92f) should also
be revisited by using an integer flag instead of two booleans. But that is certainly more a matter of taste...

The "target version" is set to "3.6.2" since AP| changes should happen before the the next release.

History

#1 - 2016-11-28 13:19 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 90

Fixed by commit 7018b99.

2025-09-06 1/1



http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=bfa3354b41f86111d7a9a383fae809bbf0754f17
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=9fd4776a56b2435c45f0929cdb11e8f78a20d92f
http://www.tcpdf.org

